%define name geos
%define version 2.1.4
%define release 1

Name: %name
Version: %version
Release: %release
Summary: Geometry Engine - Open Source
Group: System Environment/Libraries
License: LGPL
URL: http://geos.refractions.net/
Source0: http://geos.refractions.net/%{name}-%{version}.tar.bz2
Patch0: geos-2.1.4-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: doxygen

%package devel
Summary:	Development files for geos
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%package doc
Summary:	Documentation for geos
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description 
GEOS (Geometry Engine - Open Source) is a C++ port of the
Java Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid().

%description devel
GEOS (Geometry Engine - Open Source) is a C++ port of the Java
Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid().

This package contains the header files for geos.

%description doc
GEOS (Geometry Engine - Open Source) is a C++ port of the Java
Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid()

This package includes some additional documentation for
PostgreSQL.  Currently, this includes the main documentation in html format,
and a few examples.


%prep
%setup -q
%patch -p1 -b .buildroot 

%build
%configure
make %{?_smp_mflags}

# Make doxygen documentation files.
cd doc
make doxygen-html

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc INSTALL NEWS AUTHORS COPYING README TODO ChangeLog
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_bindir}/*

%files doc
%doc doc

%changelog
* Mon Sep 19 2005 Silke Reimer <silke@intevation.de> 2.1.4-1
- Updated to 2.1.4
- Added *.la to devel
- Fixed geos-config so that --includes does not list -I/usr/include

* Fri Dec 17 2004 David Kaplan <dmk@localhost.localdomain> - 0:2.1.1-0.fdr.1
- Updated to 2.1
- Moved geos-config to devel rpm
- Now make doxygen html files and placed them in development rpm
- Fixed geos-config so that --libs does not list -L/usr/lib

* Mon Jun 28 2004 David M. Kaplan <dmk@erizo.ucdavis.edu> 0:1.0.0-0.fdr.3
- Removed Requires(post,postun)
- Removed redundant setting of C[XX]FLAGS before % configure
- Bumped release to 0.fdr.3

* Fri Mar 19 2004 David M. Kaplan <dmk@erizo.ucdavis.edu> 0:1.0.0-0.fdr.2
- Removed *.la from distribution
- Changed permissions on src.rpm files to 644
- Changed group to System Environment/Libraries

* Wed Mar 17 2004 David M. Kaplan <dmk@erizo.ucdavis.edu> 0:1.0.0-0.fdr.1
- Initial build of RPM for Fedora
